function Keyboard()
{
	this.Field;
	this.Language;

	this.show = function()
	{
		///UserCodeRegionStart:[show] (do not remove this comment.)
		var languageType;
		switch(this.Language)
		{
			case '1': // Arabic
				languageType = '\u0627\u0644\u0639\u0631\u0628\u064a\u0629';
				break;
			case '2': // Assamese
				languageType = '\u0985\u09b8\u09ae\u09c0\u09df\u09be';
				break;
			case '3': // Azerbaijani Cyrillic
				languageType = '\u0410\u0437\u04d9\u0440\u0431\u0430\u0458\u04b9\u0430\u043d\u04b9\u0430';
				break;
			case '4': // Azerbaijani Latin
				languageType = '\u0627\u0644\u0639\u0631\u0628\u064a\u0629';
				break;
			case '5': // Azerbaijani Latin
				languageType = 'Az\u0259rbaycanca';
				break;
			case '6': // Belarusian
				languageType = '\u0411\u0435\u043b\u0430\u0440\u0443\u0441\u043a\u0430\u044f';
				break;
			case '7': // Belgian
				languageType = 'Belgische / Belge';
				break;
			case '8': // Bulgarian Phonetic
				languageType = '\u0411\u044a\u043b\u0433\u0430\u0440\u0441\u043a\u0438 \u0424\u043e\u043d\u0435\u0442\u0438\u0447\u0435\u043d';
				break;
			case '9': // Bulgarian BDS
				languageType = '\u0411\u044a\u043b\u0433\u0430\u0440\u0441\u043a\u0438';
				break;
			case '10': // Bengali
				languageType = '\u09ac\u09be\u0982\u09b2\u09be';
				break;
			case '12': // Bosnian
				languageType = 'Bosanski';
				break;
			case '13': // Canadian French
				languageType = 'Canadienne-fran\u00e7aise';
				break;
			case '14': // Czech
				languageType = '\u010cesky';
				break;
			case '15': // Danish
				languageType = 'Dansk';
				break;
			case '16': // German
				languageType = 'Deutsch';
				break;
			case '17': // Dingbats
				languageType = 'Dingbats';
				break;
			case '18': // Divehi
				languageType = '\u078b\u07a8\u0788\u07ac\u0780\u07a8\u0784\u07a6\u0790\u07b0';
				break;
			case '19': // Dvorak
				languageType = 'Dvorak';
				break;
			case '20': // Greek
				languageType = '\u0395\u03bb\u03bb\u03b7\u03bd\u03b9\u03ba\u03ac';
				break;
			case '21': // Estonian
				languageType = 'Eesti';
				break;
			case '22': // Dari
				languageType = '\u062f\u0631\u06cc';
				break;
			case '23': // Farsi
				languageType = '\u0641\u0627\u0631\u0633\u06cc';
				break;
			case '24': // Faeroese
				languageType = 'F\u00f8royskt';
				break;
			case '25': // French
				languageType = 'Fran\u00e7ais';
				break;
			case '26': // Gaeilge
				languageType = 'Irish / Gaelic';
				break;
			case '27': // Gujarati
				languageType = '\u0a97\u0ac1\u0a9c\u0ab0\u0abe\u0aa4\u0ac0';
				break;
			case '28': // Hebrew
				languageType = '\u05e2\u05d1\u05e8\u05d9\u05ea';
				break;
			case '29': // Devanagari
				languageType = '\u0926\u0947\u0935\u0928\u093e\u0917\u0930\u0940';
				break;
			case '30': // Hindi
				languageType = '\u0939\u093f\u0902\u0926\u0940';
				break;
			case '31': // Croatian
				languageType = 'Hrvatski';
				break;
			case '32': // Western Armenian
				languageType = '\u0540\u0561\u0575\u0565\u0580\u0565\u0576 \u0561\u0580\u0565\u0582\u0574\u0578\u0582\u057f\u0584';
				break;
			case '33': // Eastern Armenian
				languageType = '\u0540\u0561\u0575\u0565\u0580\u0565\u0576 \u0561\u0580\u0565\u0582\u0565\u056c\u0584';
				break;
			case '34': // Icelandic
				languageType = '\u00cdslenska';
				break;
			case '35': // Italiano
				languageType = 'Italian';
				break;
			case '36': // Japanese Hiragana/Katakana
				languageType = '\u65e5\u672c\u8a9e';
				break;
			case '37': // Georgian
				languageType = '\u10e5\u10d0\u10e0\u10d7\u10e3\u10da\u10d8';
				break;
			case '38': // Kazakh
				languageType = '\u049a\u0430\u0437\u0430\u049b\u0448\u0430';
				break;
			case '39': // Khmer
				languageType = '\u1797\u17b6\u179f\u17b6\u1781\u17d2\u1798\u17c2\u179a';
				break;
			case '40': // Kannada
				languageType = '\u0c95\u0ca8\u0ccd\u0ca8\u0ca1';
				break;
			case '41': // Korean
				languageType = '\ud55c\uad6d\uc5b4';
				break;
			case '42': // Kurdish
				languageType = 'Kurd\u00ee';
				break;
			case '43': // Kyrgyz
				languageType = '\u041a\u044b\u0440\u0433\u044b\u0437\u0447\u0430';
				break;
			case '44': // Latvian
				languageType = 'Latvie\u0161u';
				break;
			case '45': // Lithuanian
				languageType = 'Lietuvi\u0173';
				break;
			case '46': // Hungarian
				languageType = 'Magyar';
				break;
			case '47': // Maltese 48
				languageType = 'Malti';
				break;
			case '48': // Macedonian Cyrillic
				languageType = '\u041c\u0430\u043a\u0435\u0434\u043e\u043d\u0441\u043a\u0438';
				break;
			case '49': // Malayalam
				languageType = '\u0d2e\u0d32\u0d2f\u0d3e\u0d33\u0d02';
				break;
			case '50': // Misc. Symbols
				languageType = 'Misc. Symbols';
				break;
			case '51': // Mongolian Cyrillic
				languageType = '\u041c\u043e\u043d\u0433\u043e\u043b';
				break;
			case '52': // Marathi
				languageType = '\u092e\u0930\u093e\u0920\u0940';
				break;
			case '53': // Burmese
				languageType = '\u1019\u103c\u1014\u103a\u1019\u102c\u1018\u102c\u101e\u102c';
				break;
			case '54': // Dutch
				languageType = 'Nederlands';
				break;
			case '55': // Norwegian
				languageType = 'Norsk';
				break;
			case '56': // Pashto
				languageType = '\u067e\u069a\u062a\u0648';
				break;
			case '57': // Punjabi (Gurmukhi)
				languageType = '\u0a2a\u0a70\u0a1c\u0a3e\u0a2c\u0a40';
				break;
			case '58': // Pinyin
				LanguageType = '\u62fc\u97f3 (Pinyin)';
				break;
			case '59': // Polish (214)
				languageType = 'Polski';
				break;
			case '60': // Polish Programmers
				languageType = 'Polski Programisty';
				break;
			case '61': // Portuguese (Brazil)
				languageType = 'Portugu\u00eas Brasileiro';
				break;
			case '62': // Portuguese
				languageType = 'Portugu\u00eas';
				break;
			case '63': // Romanian
				languageType = 'Rom\u00e2n\u0103';
				break;
			case '64': // Russian
				languageType = '\u0420\u0443\u0441\u0441\u043a\u0438\u0439';
				break;
			case '65': // Swiss German
				languageType = 'Schweizerdeutsch';
				break;
			case '66': // Albanian
				languageType = 'Shqip';
				break;
			case '67': // Slovak
				languageType = 'Sloven\u010dina';
				break;
			case '68': // Serbian Cyrillic
				languageType = '\u0441\u0440\u043f\u0441\u043a\u0438';
				break;
			case '69': // Finnish
				languageType = 'Suomi';
				break;
			case '70': // Swedish
				languageType = 'Svenska';
				break;
			case '71': // Swiss French
				languageType = 'Swiss Fran\u00e7ais';
				break;
			case '72': // Syriac
				languageType = '\u0723\u0718\u072a\u071d\u071d\u0710';
				break;
			case '73': // Tamil
				languageType = '\u0ba4\u0bae\u0bbf\u0bb4\u0bcd';
				break;
			case '74': // Telugu
				languageType = '\u0c24\u0c46\u0c32\u0c41\u0c17\u0c41';
				break;
			case '75': // Vietnamese
				languageType = 'Ti\u1ebfng Vi\u1ec7t';
				break;
			case '76': // Thai Kedmanee
				languageType = '\u0e44\u0e17\u0e22 Kedmanee';
				break;
			case '77': // Thai Pattachote
				languageType = '\u0e44\u0e17\u0e22 Pattachote';
				break;
			case '78': // Tatar
				languageType = '\u0422\u0430\u0442\u0430\u0440\u0447\u0430';
				break;
			case '79': // Turkish F
				languageType = 'T\u00fcrk\u00e7e F';
				break;
			case '80': // Turkish Q
				languageType = 'T\u00fcrk\u00e7e Q';
				break;
			case '81': // Ukrainian
				languageType = '\u0423\u043a\u0440\u0430\u0457\u043d\u0441\u044c\u043a\u0430';
				break;
			case '82': // United Kingdom
				languageType = 'United Kingdom';
				break;
			case '83': // Urdu
				languageType = '\u0627\u0631\u062f\u0648';
				break;
			case '84': // Urdu Phonetic
				languageType = '\u0627\u0631\u062f\u0648 Phonetic';
				break;
			case '85': // US Standard
				languageType = 'US Standard';
				break;
			case '86': // US International
				languageType = 'US International';
				break;
			case '87': // Uzbek Cyrillic
				languageType = '\u040e\u0437\u0431\u0435\u043a\u0447\u0430';
				break;
			case '88': // Yiddish
				languageType = '\u05d9\u05d9\u05b4\u05d3\u05d9\u05e9';
				break;
			case '89': // Yiddish (Yidish Lebt)
				languageType = '\u05d9\u05d9\u05b4\u05d3\u05d9\u05e9 \u05dc\u05e2\u05d1\u05d8';
				break;
			case '80': // Chinese Bopomofo IME
				languageType = '\u4e2d\u6587\u6ce8\u97f3\u7b26\u53f7';
				break;
			case '81': // Chinese Cangjie IME
				languageType = '\u4e2d\u6587\u4ed3\u9889\u8f93\u5165\u6cd5';
				break;
			case '90': // Español
				languageType = 'Espa\u00f1ol';
				break;
			default:
				languageType = 'US International';
				break;
		}
		VKI_initKey(this.Field,languageType);	
		VKI_internat();	
		
		
		
		
		
		
		
		
		
		
		
		
		///UserCodeRegionEnd: (do not remove this comment.)
	}
	///UserCodeRegionStart:[User Functions] (do not remove this comment.)
	
	
	
	
	
	
	
	
	
	
	
	
	
	///UserCodeRegionEnd: (do not remove this comment.):
}
