CREATE SEQUENCE Imp_Id MINVALUE 100 INCREMENT 1;

CREATE TABLE Impressao (
  Imp_Id         BIGINT     NOT NULL     DEFAULT Nextval('Imp_Id'),
  Trn_Id         BIGINT     NOT NULL,
  Imp_TrnId      BIGINT,
  Imp_FinId      BIGINT,
  Imp_Assinatura VARCHAR(50)     NOT NULL,
      PRIMARY KEY ( Imp_Id ));

CREATE UNIQUE INDEX UQ_IMPRESSAO_TRANSACAO ON Impressao (Trn_Id);

CREATE INDEX FK_IMPRESSAO_TRNORIGEM ON Impressao (Imp_TrnId);

CREATE INDEX FK_IMPRESSAO_FINORIGEM ON Impressao (Imp_FinId);

ALTER TABLE Impressao ADD CONSTRAINT FK_IMPRESSAO_TRNORIGEM FOREIGN KEY ( Imp_TrnId ) REFERENCES Transacao(Trn_Id);

ALTER TABLE Impressao ADD CONSTRAINT FK_IMPRESSAO_TRANSACAO FOREIGN KEY ( Trn_Id ) REFERENCES Transacao(Trn_Id);

ALTER TABLE Impressao ADD CONSTRAINT FK_IMPRESSAO_FINORIGEM FOREIGN KEY ( Imp_FinId ) REFERENCES Financeiro(Fin_Id);
 
select 'OK' from ambiente;
 
MD5:E5F2E6CF8666CA1AE9F0E4AE1B671C65