DROP TABLE Tmp_DocumentoItem CASCADE;

ALTER TABLE Tmp_Documento ADD TmpDoc_Busca TEXT;

ALTER TABLE Tmp_Documento ADD COLUMN TmpDoc_FTS tsvector;

CREATE OR REPLACE FUNCTION FN_TmpDocumento_FTS()
RETURNS TRIGGER AS $$
BEGIN
   NEW.TmpDoc_FTS := to_tsvector('portuguese', NEW.TmpDoc_Busca);
RETURN NEW;
END
$$
LANGUAGE plpgsql;

CREATE TRIGGER TG_TmpDocumento_FTS BEFORE INSERT OR UPDATE ON Tmp_Documento
    FOR EACH ROW EXECUTE PROCEDURE FN_TmpDocumento_FTS();
	
CREATE INDEX I_TmpDocumento_FTS  ON Tmp_Documento  USING gin( TmpDoc_FTS );

select 'OK' from ambiente;
 
MD5:099C73329330F5E945E0BA0694209DD6

