DROP TABLE ProdutoFilial CASCADE;

ALTER TABLE Ambiente ADD Amb_TabelasImportadas TEXT;

ALTER TABLE Produto 
	ADD Pro_AtivoNaFilial BOOLEAN NOT NULL DEFAULT '1', 
	ADD Pro_Localizacao VARCHAR(40), 
	ADD Pro_ValorCustoMarkup NUMERIC(13,2), 
	ADD Pro_CustoAquisicao NUMERIC(13,2), 
	ADD Pro_TipoMPdoBem VARCHAR(1), 
	ADD Pro_SubstituidoNacionalmente BOOLEAN NOT NULL DEFAULT '0', 
	ADD Pro_IsentoPIS_COFINS BOOLEAN NOT NULL DEFAULT '0', 
	ADD Pro_AliquotaPIS NUMERIC(7,4) NOT NULL DEFAULT 0, 
	ADD Pro_AliquotaCOFINS NUMERIC(7,4) NOT NULL DEFAULT 0;
 
ALTER TABLE Produto ALTER COLUMN Pro_AtivoNaFilial DROP DEFAULT;
ALTER TABLE Produto ALTER COLUMN Pro_SubstituidoNacionalmente DROP DEFAULT;
ALTER TABLE Produto ALTER COLUMN Pro_IsentoPIS_COFINS DROP DEFAULT;
ALTER TABLE Produto ALTER COLUMN Pro_AliquotaPIS DROP DEFAULT;
ALTER TABLE Produto ALTER COLUMN Pro_AliquotaCOFINS DROP DEFAULT;
  
ALTER TABLE DocumentoItem 
	ADD DocIte_Localizacao VARCHAR(40) , 
	ADD DocIte_ValorCustoMarkup NUMERIC(13,2) , 
	ADD DocIte_CustoAquisicao NUMERIC(13,2) , 
	ADD DocIte_TipoMPdoBem VARCHAR(1) , 
	ADD DocIte_SubstituidoNacionalmente BOOLEAN NOT NULL DEFAULT '0', 
	ADD DocIte_IsentoPIS_COFINS BOOLEAN NOT NULL DEFAULT '0';
 
ALTER TABLE DocumentoItem ALTER COLUMN DocIte_SubstituidoNacionalmente DROP DEFAULT;
ALTER TABLE DocumentoItem ALTER COLUMN DocIte_IsentoPIS_COFINS DROP DEFAULT;

ALTER TABLE ImpostoUF
	ADD IUF_ReduzBaseICMSProprio BOOLEAN NOT NULL DEFAULT '0',
	ADD IUF_RegimeEspecialImportacao BOOLEAN NOT NULL DEFAULT '0', 
	ADD IUF_AplicacaoReducao VARCHAR(1) NOT NULL DEFAULT 'J',
	ADD IUF_ReducaoBaseInterestadual NUMERIC(7,4) NOT NULL DEFAULT 0;
 
ALTER TABLE ImpostoUF ALTER COLUMN IUF_ReduzBaseICMSProprio     DROP DEFAULT;
ALTER TABLE ImpostoUF ALTER COLUMN IUF_ReducaoBaseInterestadual DROP DEFAULT;
ALTER TABLE ImpostoUF ALTER COLUMN IUF_RegimeEspecialImportacao DROP DEFAULT;
ALTER TABLE ImpostoUF ALTER COLUMN IUF_AplicacaoReducao         DROP DEFAULT;
    
ALTER TABLE DocumentoItem 
	DROP DocIte_AliquotaPISPorValor, 
	DROP DocIte_AliquotaCOFINSPorValor;
 
select 'OK' from ambiente;
 
MD5:F76062086EC89A4F2708A23B45CDAA3F
