ALTER TABLE documentoitem
   ALTER COLUMN docite_cst_icms TYPE character varying(3);

ALTER TABLE MotivoDevolucao
	ADD MotDev_DiasParaDevolucaoDeICMS SMALLINT NOT NULL DEFAULT 0;
 
ALTER TABLE MotivoDevolucao ALTER COLUMN MotDev_DiasParaDevolucaoDeICMS DROP DEFAULT;
 
ALTER TABLE Natureza 
	ADD Nat_SubstituicaoCST VARCHAR(3) , 
	ADD Nat_NormalCST VARCHAR(3) ; 

CREATE SEQUENCE CFOP_Id MINVALUE 1 INCREMENT 1;
 
CREATE TABLE CFOP 
	(CFOP_Id smallint NOT NULL  DEFAULT nextval('CFOP_Id'), 
	 CFOP_Chave VARCHAR(20) NOT NULL, 
	 CFOP_Descricao VARCHAR(40) NOT NULL, 
	 CFOP_DemCompraCF VARCHAR(3), 
	 CFOP_ForCompraCF VARCHAR(3), 
	 CFOP_DemCompraRevenda VARCHAR(3), 
	 CFOP_ForCompraRevenda VARCHAR(3), 
	 CFOP_DemDevolucaoCompraCF VARCHAR(3), 
	 CFOP_ForDevolucaoCompraCF VARCHAR(3), 
	 CFOP_DemDevolucaoCompraRevenda VARCHAR(3), 
	 CFOP_ForDevolucaoCompraRevenda VARCHAR(3), 
	 CFOP_DemVendaCF VARCHAR(3), 
	 CFOP_ForVendaCF VARCHAR(3), 
	 CFOP_DemVendaRevenda VARCHAR(3), 
	 CFOP_ForVendaRevenda VARCHAR(3), 
	 CFOP_DemDevolucaoVendaCF VARCHAR(3), 
	 CFOP_ForDevolucaoVendaCF VARCHAR(3), 
	 CFOP_DemDevolucaoVendaRevenda VARCHAR(3), 
	 CFOP_ForDevolucaoVendaRevenda VARCHAR(3), 
	 CFOP_DemEntradaTransferenciaCF VARCHAR(3), 
	 CFOP_ForEntradaTransferenciaCF VARCHAR(3), 
	 CFOP_DemEntradaTransferenciaRevenda VARCHAR(3), 
	 CFOP_ForEntradaTransferenciaRevenda VARCHAR(3), 
	 CFOP_DemConsumoInternoCF VARCHAR(3), 
	 CFOP_ForConsumoInternoCF VARCHAR(3), 
	 CFOP_DemConsumoInternoRevenda VARCHAR(3), 
	 CFOP_ForConsumoInternoRevenda VARCHAR(3), 
	 CFOP_DemSaidaTransferenciaCF VARCHAR(3), 
	 CFOP_ForSaidaTransferenciaCF VARCHAR(3), 
	 CFOP_DemSaidaTransferenciaRevenda VARCHAR(3), 
	 CFOP_ForSaidaTransferenciaRevenda VARCHAR(3), 
	 CFOP_InclusaEm timestamp without time zone NOT NULL, 
	 CFOP_AlteradaEm timestamp without time zone NOT NULL, 
	 CFOP_Assinatura VARCHAR(50) NOT NULL, 
	 PRIMARY KEY(CFOP_Id)) ;

CREATE UNIQUE INDEX UQ_CFOP_CHAVE ON CFOP (CFOP_Chave);

CREATE INDEX IN_CFOP_DESCRICAO ON CFOP (CFOP_Descricao);
  
ALTER TABLE ImpostoUF ADD IUF_CFOPId SMALLINT;

CREATE INDEX FK_IMPOSTOUF_CFOP ON ImpostoUF (IUF_CFOPId);

ALTER TABLE ImpostoUF DROP IUF_CFOP;

ALTER TABLE ImpostoUF
 ADD CONSTRAINT FK_IMPOSTOUF_CFOP FOREIGN KEY ( IUF_CFOPId ) REFERENCES CFOP(CFOP_Id);

 select 'OK' from ambiente;
 
MD5:BD69BE4000078F8AB23F284E720FE012

