CREATE SEQUENCE TipEnd_Id MINVALUE 100 INCREMENT 1;
  
CREATE TABLE TipoDeEndereco 
	(TipEnd_Id smallint NOT NULL  DEFAULT nextval('TipEnd_Id'), 
	 TipEnd_Chave VARCHAR(20) NOT NULL , 
	 TipEnd_Nome VARCHAR(64) NOT NULL , 
	 TipEnd_Lista VARCHAR(80) NOT NULL , 
	 TipEnd_Ativo BOOLEAN NOT NULL , 
	 TipEnd_InclusoEm timestamp without time zone NOT NULL , 
	 TipEnd_AlteradoEm timestamp without time zone NOT NULL , 
	 TipEnd_Assinatura VARCHAR(32) NOT NULL , 
	 TipEnd_AceitaDuplicidade BOOLEAN NOT NULL , 
	 TipEnd_Uso VARCHAR(1) NOT NULL , 
	 PRIMARY KEY(TipEnd_Id)
	) ;
 
CREATE INDEX UQ_TIPODEENDERECO_CHAVE ON TipoDeEndereco (TipEnd_Chave);
CREATE INDEX IN_TIPODEENDERECO_NOME ON TipoDeEndereco (TipEnd_Nome);
CREATE INDEX IN_TIPODEENDERECO_LISTA ON TipoDeEndereco (TipEnd_Lista);

ALTER TABLE Endereco ADD End_TipoId SMALLINT;

DROP INDEX IN_ENDERECO_IDENTIFICACAO;

CREATE INDEX FK_ENDERECO_TIPO ON Endereco (End_TipoId);

ALTER TABLE Endereco
 ADD CONSTRAINT FK_ENDERECO_TIPO FOREIGN KEY ( End_TipoId ) REFERENCES TipoDeEndereco(TipEnd_Id);
 
select 'OK' from ambiente;
 
MD5:81E5641F60E980C218E63C911C5C9F18

