ALTER TABLE Participante 
	DROP Par_FidelizacaoPercentual, 
	DROP Par_FidelizacaoNome, 
	DROP Par_FidelizacaoChave;
 
CREATE SEQUENCE Fid_Id MINVALUE 100 INCREMENT 1;
  
CREATE TABLE Fidelizacao 
	(Fid_Id smallint NOT NULL  DEFAULT nextval('Fid_Id'), 
	 Fid_Chave VARCHAR(20) NOT NULL , 
	 Fid_Nome VARCHAR(40) NOT NULL , 
	 Fid_Lista VARCHAR(55) NOT NULL , 
	 Fid_Ativa BOOLEAN NOT NULL , 
	 Fid_InclusaEm timestamp without time zone NOT NULL , 
	 Fid_AlteradaEm timestamp without time zone NOT NULL , 
	 Fid_Assinatura VARCHAR(50) NOT NULL , 
	 Fid_Percentual NUMERIC(7,4) NOT NULL , 
	 Fid_LinkImagem VARCHAR(254) NOT NULL , PRIMARY KEY(Fid_Id)
	);
 
CREATE UNIQUE INDEX UQ_FIDELIZACAO_CHAVE ON Fidelizacao (Fid_Chave);

CREATE INDEX IN_FIDELIZACAO_NOME ON Fidelizacao (Fid_Nome);

CREATE INDEX IN_FIDELIZACAO_LISTA ON Fidelizacao (Fid_Lista);

ALTER TABLE Participante ADD Par_FidelizacaoId SMALLINT;

CREATE INDEX FK_PARTICIPANTE_FIDELIZACAO ON Participante (Par_FidelizacaoId);

ALTER TABLE Participante
 ADD CONSTRAINT FK_PARTICIPANTE_FIDELIZACAO FOREIGN KEY ( Par_FidelizacaoId ) REFERENCES Fidelizacao(Fid_Id);

select 'OK' from ambiente;
 
MD5:5FFE29E95B41A893FCD61053513B3EEC

