ALTER TABLE Contrato RENAME Ctt_AdcionalId TO Ctt_AdicionalId;

DROP INDEX FK_CONTRATO_ADCIONAL;

CREATE INDEX FK_CONTRATO_ADCIONAL ON Contrato (Ctt_AdicionalId);

ALTER TABLE tmp_documento RENAME tmpdoc_valoradcionais TO TmpDoc_ValorAdicionais;

ALTER TABLE Filial RENAME Fil_ComandosAdcionaisDeTEF TO Fil_ComandosAdicionaisDeTEF;

ALTER TABLE AdcionalProduto RENAME adcpro_adcionalid  TO adcpro_adicionalid;

ALTER TABLE Adcional RENAME TO Adicional; 

DROP INDEX UQ_ADCIONAL_CHAVE; 

DROP INDEX FK_ADCIONAL_CORRESPONDENTE; 

DROP INDEX IN_ADCIONAL_NOME; 

DROP INDEX IN_ADCIONAL_LISTA; 

CREATE UNIQUE INDEX UQ_ADICIONAL_CHAVE ON Adicional (Adc_Chave);

CREATE INDEX FK_ADICIONAL_CORRESPONDENTE ON Adicional (Adc_CorrespondenteId); 

CREATE INDEX IN_ADICIONAL_NOME ON Adicional (Adc_Nome); 

CREATE INDEX IN_ADICIONAL_LISTA ON Adicional (Adc_Lista); 

ALTER TABLE Adicional
 ADD CONSTRAINT FK_ADICIONAL_CORRESPONDENTE FOREIGN KEY ( Adc_CorrespondenteId ) REFERENCES CorrespondenteBancario(CorBan_Id); 

ALTER TABLE AdcionalProduto RENAME TO AdicionalProduto; 

DROP INDEX UQ_ADCIONALPRODUTO_CHAVE; 

DROP INDEX FK_ADCIONALPRODUTO_ADCIONAL; 

DROP INDEX FK_ADCIONALPRODUTO_PRODUTO; 

CREATE UNIQUE INDEX UQ_ADICIONALPRODUTO_CHAVE ON AdicionalProduto (AdcPro_Chave); 

CREATE INDEX FK_ADICIONALPRODUTO_ADICIONAL ON AdicionalProduto (AdcPro_AdicionalId); 

CREATE INDEX FK_ADICIONALPRODUTO_PRODUTO ON AdicionalProduto (AdcPro_ProId); 

ALTER TABLE AdicionalProduto
 ADD CONSTRAINT FK_ADICIONALPRODUTO_ADICIONAL FOREIGN KEY ( AdcPro_AdicionalId ) REFERENCES Adicional(Adc_Id); 

ALTER TABLE AdicionalProduto
 ADD CONSTRAINT FK_ADICIONALPRODUTO_PRODUTO FOREIGN KEY ( AdcPro_ProId ) REFERENCES Produto(Pro_Id); 

select 'OK' from ambiente;
 
MD5:87551492F77552CDBEFB33CE986279A5

