CREATE SEQUENCE PenCai_Id MINVALUE 100 INCREMENT 1;

CREATE TABLE PendenciaCaixa (
  PenCai_Id         BIGINT      NOT NULL  DEFAULT Nextval('PenCai_Id'),
  PenCai_FinId      BIGINT      NOT NULL,
  PenCai_FinMoeId   SMALLINT    NOT NULL,
  PenCai_TrnId      BIGINT      NOT NULL,
  PenCai_Assinatura VARCHAR(50) NOT NULL,
      PRIMARY KEY ( PenCai_Id ));

CREATE INDEX FK_PENDENCIACAIXA_TRANSACAO ON PendenciaCaixa (
      PenCai_TrnId);

CREATE INDEX FK_PENDENCIACAIXA_FINANCEIRO ON PendenciaCaixa (
      PenCai_FinId,
      PenCai_FinMoeId);

ALTER TABLE PendenciaCaixa
 ADD CONSTRAINT FK_PENDENCIACAIXA_FINANCEIRO FOREIGN KEY ( PenCai_FinId,PenCai_FinMoeId ) REFERENCES FinanceiroMoeda(Fin_Id,FinMoe_Id);

ALTER TABLE PendenciaCaixa
 ADD CONSTRAINT FK_PENDENCIACAIXA_TRANSACAO FOREIGN KEY ( PenCai_TrnId ) REFERENCES Transacao(Trn_Id);

ALTER TABLE FinanceiroMoeda
    ADD FinMoe_Pendencia VARCHAR(1)     NOT NULL     DEFAULT 'N';

ALTER TABLE FinanceiroMoeda ALTER COLUMN FinMoe_Pendencia DROP DEFAULT;
 
CREATE INDEX IN_FINMOEDA_PENDENCIA ON FinanceiroMoeda (FinMoe_Pendencia);

select 'OK' from ambiente;
 
MD5:E61A84E2D4E5C4256F6DA45FDB354455