ALTER TABLE Documento ADD Doc_TipoEntrega VARCHAR(1);

ALTER TABLE Configuracao ADD Cfg_NatReciboId smallint;

CREATE INDEX FK_CFG_NATRECIBO ON Configuracao (Cfg_NatReciboId);

ALTER TABLE Configuracao
 ADD CONSTRAINT FK_CFG_NATRECIBO FOREIGN KEY ( Cfg_NatReciboId ) REFERENCES Natureza(Nat_Id);

ALTER TABLE Filial add Fil_DepositoId smallint;

CREATE INDEX FK_Filial_Deposito ON Filial (Fil_DepositoId);

ALTER TABLE Filial
 ADD CONSTRAINT FK_Filial_Deposito FOREIGN KEY (Fil_DepositoId) REFERENCES Filial(Fil_Id);

CREATE TABLE TipoDeEntrega 
(TipEnt_Id    smallint    NOT NULL , 
 TipEnt_Chave VARCHAR(20) NOT NULL , 
 TipEnt_Nome  VARCHAR(64) NOT NULL , 
 TipEnt_Lista VARCHAR(80) NOT NULL , 
 TipEnt_Tipo  VARCHAR(1)  NOT NULL , 
 TipEnt_Prazo smallint    NOT NULL , 
 TipEnt_FilialEntrega smallint NOT NULL , 
 TipEnt_Ativo BOOLEAN NOT NULL , 
 TipEnt_InclusoEm timestamp without time zone NOT NULL , 
 TipEnt_AlteradoEm timestamp without time zone NOT NULL , 
 TipEnt_Assinatura VARCHAR(32) NOT NULL , 
PRIMARY KEY(TipEnt_Id));
 
CREATE INDEX UQ_TipoDeEntrega_Chave ON TipoDeEntrega (TipEnt_Chave);

CREATE INDEX IN_TipoDeEntrega_Nome ON TipoDeEntrega (TipEnt_Nome);

CREATE INDEX IN_TipoDeEntrega_Lista ON TipoDeEntrega (TipEnt_Lista);

select 'OK' from ambiente;
 
MD5:8C269D792F635EC0CA186DDF82A31E45
