CREATE SEQUENCE TipEnt_Id MINVALUE 100 INCREMENT 1;

DROP TABLE TipoDeEntrega CASCADE; 

CREATE TABLE TipoDeEntrega 
(TipEnt_Id    smallint    NOT NULL DEFAULT nextval('TipEnt_Id'), 
 TipEnt_Chave VARCHAR(20) NOT NULL , 
 TipEnt_Nome  VARCHAR(64) NOT NULL , 
 TipEnt_Lista VARCHAR(80) NOT NULL , 
 TipEnt_Tipo  VARCHAR(1)  NOT NULL , 
 TipEnt_Prazo smallint    NOT NULL , 
 TipEnt_FilialEntrega smallint NOT NULL , 
 TipEnt_Ativo BOOLEAN NOT NULL , 
 TipEnt_InclusoEm timestamp without time zone NOT NULL , 
 TipEnt_AlteradoEm timestamp without time zone NOT NULL , 
 TipEnt_Assinatura VARCHAR(32) NOT NULL , 
PRIMARY KEY(TipEnt_Id));
 
CREATE INDEX UQ_TipoDeEntrega_Chave ON TipoDeEntrega (TipEnt_Chave);

CREATE INDEX IN_TipoDeEntrega_Nome ON TipoDeEntrega (TipEnt_Nome);

CREATE INDEX IN_TipoDeEntrega_Lista ON TipoDeEntrega (TipEnt_Lista);

select 'OK' from ambiente;
 
MD5:0DBBCB77BE0E50256C668F9FCA02EAEF
