CREATE SEQUENCE Financ_Id MINVALUE 100 INCREMENT 1;
 
CREATE TABLE Financeira 
	(Financ_Id smallint NOT NULL  DEFAULT nextval('Financ_Id'), 
	 Financ_Chave VARCHAR(20) NOT NULL , 
	 Financ_Nome VARCHAR(40) NOT NULL , 
	 Financ_Lista VARCHAR(55) NOT NULL , 
	 Financ_Ativa BOOLEAN NOT NULL , 
	 Financ_InclusaEm timestamp without time zone NOT NULL , 
	 Financ_AlteradaEm timestamp without time zone NOT NULL , 
	 Financ_Assinatura VARCHAR(50) NOT NULL , 
	 Financ_CarId smallint NOT NULL , 
	 PRIMARY KEY(Financ_Id)
	);

CREATE UNIQUE INDEX UQ_FINANCEIRA_CHAVE ON Financeira (Financ_Chave);

CREATE INDEX FK_FINANCEIRA_CARTAO ON Financeira (Financ_CarId);

CREATE INDEX IN_FINANCEIRA_NOME ON Financeira (Financ_Nome);

CREATE INDEX IN_FINANCEIRA_LISTA ON Financeira (Financ_Lista);

ALTER TABLE Financeira ADD CONSTRAINT FK_FINANCEIRA_CARTAO FOREIGN KEY ( Financ_CarId ) REFERENCES Cartao(Car_Id);

ALTER TABLE Plano DROP Pla_FinanceiraChave;

ALTER TABLE Plano ADD Pla_FinanceiraId SMALLINT;

CREATE INDEX FK_PLANO_FINANCEIRA ON Plano (Pla_FinanceiraId);

ALTER TABLE Plano ADD CONSTRAINT FK_PLANO_FINANCEIRA FOREIGN KEY ( Pla_FinanceiraId ) REFERENCES Financeira(Financ_Id);

select 'OK' from ambiente;
 
MD5:306671AB88710A2614E94AA51014EA41
