CREATE SEQUENCE Cre_Id MINVALUE 100 INCREMENT 1;
 
CREATE TABLE Credito 
	(Cre_Id bigint NOT NULL DEFAULT nextval('Cre_Id'), 
	 Cre_Documento VARCHAR(14) NOT NULL, 
	 Cre_ValorSolicitado NUMERIC(13,2) NOT NULL, 
	 Cre_Observacao VARCHAR(60), 
	 Cre_RespostaEm timestamp without time zone, 
	 Cre_ValorConcedido NUMERIC(13,2), 
	 Cre_Codigo VARCHAR(3), 
	 Cre_Chave VARCHAR(20), 
	 Cre_Validade date, 
	 Cre_TrnId BIGINT NOT NULL,
	 Cre_Assinatura VARCHAR(50) NOT NULL, 
	 PRIMARY KEY(Cre_Id)
	); 

CREATE INDEX FK_CREDITO_TRANSACAO ON Credito (Cre_TrnId); 

ALTER TABLE Credito
 ADD CONSTRAINT FK_CREDITO_TRANSACAO FOREIGN KEY ( Cre_TrnId ) REFERENCES Transacao(Trn_Id); 

CREATE INDEX IN_CREDITO_DOCUMENTO ON Credito (Cre_Documento,Cre_Id DESC);
 
select 'OK' from ambiente;
 
MD5:57EDE1428AC19C61A231EB5A6925DFF4
