CREATE OR REPLACE FUNCTION FN_Transportadora_FTS()
RETURNS TRIGGER AS $$
BEGIN
   NEW.Tra_FTS := to_tsvector('portuguese', NEW.Tra_Busca);
RETURN NEW;
END
$$
LANGUAGE plpgsql;

CREATE TRIGGER TG_Transportadora_FTS BEFORE INSERT OR UPDATE ON Transportadora
    FOR EACH ROW EXECUTE PROCEDURE FN_Transportadora_FTS();
	
CREATE INDEX I_Transportadora_FTS  ON Transportadora USING gin( Tra_FTS );

update Transportadora set Tra_FTS = to_tsvector('portuguese', Tra_Busca);

select 'OK' from ambiente;
 
MD5:C7442FF8222C5E2BE0AA3FB6B192F08A
