-- Transfere os protocolos de cancelamento para a tabela de cupons
Update Cupom Cup
Set (Cup_Protocolo, Cup_RegistradoEm) = (select Can_Protocolo, Can_RegistradoEm
                                         from transacao Trn inner join cancelamento Can on Can.Trn_Id = Trn.Trn_Id
                                         where Trn_CupId = Cup.Cup_Id)
where Cup_Id in (select Trn_CupId
                 from transacao Trn inner join cancelamento Can on Can.Trn_Id = Trn.Trn_Id
                 where Can_Protocolo > '');

-- Transfere os protocolos de documentos para a tabela de cupons
Update Cupom Cup
Set (Cup_Protocolo, Cup_RegistradoEm) = (select Doc_Protocolo, Doc_RegistradoEm
                                         from transacao inner join documento on Doc_TrnId = Trn_Id
                                         where Trn_CupId = Cup.Cup_Id)
where Cup_Id in (select Trn_CupId
                 from transacao inner join documento on Doc_TrnId = Trn_Id
                 where Doc_Protocolo > '');

ALTER TABLE Cancelamento 
	DROP Can_RegistradoEm, 
	DROP Can_Protocolo;

ALTER TABLE Documento 
	DROP Doc_RegistradoEm, 
	DROP Doc_Protocolo;
				 
ALTER TABLE Cancelamento ADD Can_Trn2Id BIGINT;

CREATE INDEX FK_CANCELAMENTO_TRANSACAO2 ON Cancelamento (Can_Trn2Id);

ALTER TABLE Cancelamento
 ADD CONSTRAINT FK_CANCELAMENTO_TRANSACAO2 FOREIGN KEY (Can_Trn2Id) REFERENCES Transacao(Trn_Id);
				 
select 'OK' from ambiente;
 
MD5:F0314A2EEC9367A9B69FA97A8BCEE01D



 
