drop view documentoitemfiscal;

alter table documentoitem alter column DocIte_PercentualLucro type numeric(13,4);

CREATE OR REPLACE VIEW documentoitemfiscal AS 
 SELECT documentoitem.doc_id AS itefis_id,
    documentoitem.docite_itemfiscalid AS itefis_itemid,
    documentoitem.doc_id,
    min(documentoitem.docite_id) AS docite_id,
    sum(documentoitem.docite_quantidade) AS itefis_quantidade,
    sum(documentoitem.docite_quantidadeembalagem) AS itefis_quantidadeembalagem,
    sum(documentoitem.docite_desconto) AS itefis_desconto,
    sum(documentoitem.docite_acrescimo) AS itefis_acrescimo,
    sum(documentoitem.docite_valortotal) AS itefis_valortotal,
    sum(documentoitem.docite_valorfrete) AS itefis_valorfrete,
    sum(documentoitem.docite_valorseguro) AS itefis_valorseguro,
    sum(documentoitem.docite_docacrescimorateado) AS itefis_docacrescimorateado,
    sum(documentoitem.docite_docdescontorateado) AS itefis_docdescontorateado,
    sum(documentoitem.docite_descontopromocional) AS itefis_descontopromocional,
    sum(documentoitem.docite_baseicms) AS itefis_baseicms,
    sum(documentoitem.docite_valoricms) AS itefis_valoricms,
    sum(documentoitem.docite_baseipi) AS itefis_baseipi,
    sum(documentoitem.docite_valoripi) AS itefis_valoripi,
    sum(documentoitem.docite_baseipicalculado) AS itefis_baseipicalculado,
    sum(documentoitem.docite_valoripicalculado) AS itefis_valoripicalculado,
    sum(documentoitem.docite_baseiss) AS itefis_baseiss,
    sum(documentoitem.docite_valoriss) AS itefis_valoriss,
    sum(documentoitem.docite_valorirrf) AS itefis_valorirrf,
    sum(documentoitem.docite_basepis) AS itefis_basepis,
    sum(documentoitem.docite_valorpis) AS itefis_valorpis,
    sum(documentoitem.docite_basecofins) AS itefis_basecofins,
    sum(documentoitem.docite_valorcofins) AS itefis_valorcofins,
    sum(documentoitem.docite_qtdisentopisecofins) AS itefis_qtdisentopisecofins,
    sum(documentoitem.docite_basest) AS itefis_basest,
    sum(documentoitem.docite_valorst) AS itefis_valorst,
    sum(documentoitem.docite_valorcreditosimples) AS itefis_valorcreditosimples,
    sum(documentoitem.docite_basestcompra) AS itefis_basestcompra,
    sum(documentoitem.docite_valorstcompra) AS itefis_valorstcompra,
    sum(documentoitem.docite_baseipicompra) AS itefis_baseipicompra,
    sum(documentoitem.docite_valoripicompra) AS itefis_valoripicompra,
    sum(documentoitem.docite_valorfretecompra) AS itefis_valorfretecompra,
    sum(documentoitem.docite_valoroutrastaxas) AS itefis_valoroutrastaxas,
    sum(documentoitem.docite_subsidiodefrete) AS itefis_subsidiodefrete,
    sum(documentoitem.docite_impostosfederais) AS itefis_impostosfederais,
    sum(documentoitem.docite_impostosestaduais) AS itefis_impostosestaduais,
    sum(documentoitem.docite_impostosmunicipais) AS itefis_impostosmunicipais,
    sum(documentoitem.docite_quantidadeprescrita) AS itefis_quantidadeprescrita,
    sum(documentoitem.docite_valorcofinsdoproduto) AS itefis_valorcofinsdoproduto,
    sum(documentoitem.docite_valorpisdoproduto) AS itefis_valorpisdoproduto,
    sum(documentoitem.docite_valorcontribuicaosocial) AS itefis_valorcontribuicaosocial,
    avg(documentoitem.docite_percentuallucro) AS itefis_percentuallucro,
    sum(documentoitem.docite_valorlucro) AS itefis_valorlucro,
    sum(documentoitem.docite_valorcomissao) AS itefis_valorcomissao,
    sum(documentoitem.docite_despesaoperacional) AS itefis_despesaoperacional,
    sum(documentoitem.docite_despesaoperacionalfixa) AS itefis_despesaoperacionalfixa,
    sum(documentoitem.docite_valorcomissaosugeridos) AS itefis_valorcomissaosugeridos,
    sum(documentoitem.docite_valoricmsdiferido) AS itefis_valoricmsdiferido,
    sum(documentoitem.docite_valoricmssemdiferimento) AS itefis_valoricmssemdiferimento,
    sum(documentoitem.docite_baseicmsdestino) AS itefis_baseicmsdestino,
    sum(documentoitem.docite_valoricmsdestino) AS itefis_valoricmsdestino,
    sum(documentoitem.docite_valoricmsorigem) AS itefis_valoricmsorigem,
    sum(documentoitem.docite_valoricmsfundopobrezadestino) AS itefis_valoricmsfundopobrezadestino,
    sum(produto.pro_pesoliquido) AS itefis_pesoliquido,
    sum(produto.pro_pesobruto) AS itefis_pesobruto
   FROM documentoitem
     JOIN produto ON produto.pro_id = documentoitem.docite_proid
  WHERE documentoitem.docite_situacao::text = 'N'::text
  GROUP BY documentoitem.doc_id, documentoitem.docite_itemfiscalid;

ALTER TABLE documentoitemfiscal OWNER TO totallpos;
				 
select 'OK' from ambiente;
 
MD5:B7FD3930EA5796F208CC841F8720DBCC
