DROP INDEX FK_ECF_FILIAL; 

CREATE INDEX IN_ECF_NUMERO ON ECF (Fil_Id, ECF_Numero);
 
CREATE SEQUENCE ResDAV_Id MINVALUE 100 INCREMENT 1;
 
 
CREATE TABLE ResgateDAV 
	(ResDAV_Id bigint NOT NULL  DEFAULT nextval('ResDAV_Id'), 
	 ResDAV_ResgateEm timestamp without time zone NOT NULL , 
	 ResDAV_FilialId smallint NOT NULL , 
	 ResDAV_ECFId bigint NOT NULL , 
	 RESDAV_SerieId smallint NOT NULL , 
	 ResDAV_TransacaoId bigint NOT NULL , 
	 ResDAV_Numero integer NOT NULL , 
	 PRIMARY KEY(ResDAV_Id)
	) ;
 
CREATE INDEX FK_RESGATEDAV_SERIE ON ResgateDAV (RESDAV_SerieId);

CREATE INDEX FK_RESGATEDAV_ECF ON ResgateDAV (ResDAV_ECFId);

CREATE INDEX FK_RESGATEDAV_FILIAL ON ResgateDAV (ResDAV_FilialId);

ALTER TABLE ResgateDAV ADD CONSTRAINT FK_RESGATEDAV_FILIAL FOREIGN KEY ( ResDAV_FilialId ) REFERENCES Filial(Fil_Id);

ALTER TABLE ResgateDAV ADD CONSTRAINT FK_RESGATEDAV_ECF FOREIGN KEY ( ResDAV_ECFId ) REFERENCES ECF(ECF_Id);

ALTER TABLE ResgateDAV ADD CONSTRAINT FK_RESGATEDAV_SERIE FOREIGN KEY ( RESDAV_SerieId ) REFERENCES Serie(Ser_Id);

select 'OK' from ambiente;
 
MD5:7AE37975D93EF8E87DEDAD0C4F2C3507
