//KeyLib v1

var Key = { 
	_keys:[], LEFT:37, RIGHT:39, UP:38, DOWN:40, BACKSPACE:8, CAPSLOCK:20, CONTROL:17, DELETEKEY:46, 
	END:35, ENTER:13, ESCAPE:27, HOME:36, INSERT:45, TAB:9, PGDN:34, PGUP:33, SPACE:32, SHIFT:16
};

Key.onKeyDown = function () {};
Key.onKeyUp = function () {};

Key.isDown = function (key) {
	return this._keys[key];
};

Key.addListener = function (o) {
	if (typeof o.onKeyDown == "function") document.addEventListener("keydown", o.onKeyDown, false);
	if (typeof o.onKeyUp == "function") document.addEventListener("keyup", o.onKeyUp, false);
};

Key.removeListener = function (o) {
	if (typeof o.onKeyDown == "function") document.removeEventListener("keydown", o.onKeyDown, false);
	if (typeof o.onKeyUp == "function") document.removeEventListener("keyup", o.onKeyUp, false);
};

Key.init = function () {
	if (!document.addEventListener && document.attachEvent) {
		document.addEventListener = function (t, f) {
			document.attachEvent("on"+ t, f);
		};
		document.removeEventListener = function (t, f) {
			document.detachEvent("on"+ t, f);
		};
	}
	document.onkeydown = function (e) {
		e = e?e:event;
		Key._keys[e.keyCode] = true;
		Key.onKeyDown(e);
	};
	document.onkeyup = function (e) {
		e = e?e:event;
		Key._keys[e.keyCode] = false;
		Key.onKeyUp(e);
	};
	for (var num = 0; num < 256; num++) {
		this._keys[num] = false;
	}
};

Key.init();

function KeyboardControl()
{

	this.show = function()
	{
		///UserCodeRegionStart:[show] (do not remove this comment.)

		var myThis = this;
		Key.onKeyDown = 
		function(evt){
			if(Key.isDown(Key.PGUP)){ 
				myThis.PgUp();
			}else if(Key.isDown(Key.PGDN)){ 
				myThis.PgDn();
			}else if(Key.isDown(Key.PGDN)){ 
				myThis.PgDn();
			}else if(Key.isDown(Key.LEFT)){ 
				myThis.Left();
			}else if(Key.isDown(Key.RIGHT)){ 
				myThis.Right();
			}else if(Key.isDown(Key.UP)){ 
				myThis.Up();
			}else if(Key.isDown(Key.DOWN)){ 
				myThis.Down();
			}else if(Key.isDown(Key.BACKSPACE)){ 
				myThis.BackSpace();
			}else if(Key.isDown(Key.CAPSLOCK)){ 
				myThis.CapsLock();
			}else if(Key.isDown(Key.CONTROL)){ 
				myThis.Control();
			}else if(Key.isDown(Key.DELETEKEY)){ 
				myThis.Delete();
			}else if(Key.isDown(Key.END)){ 
				myThis.End();
			}else if(Key.isDown(Key.ENTER)){ 
				myThis.Enter();
			}else if(Key.isDown(Key.ESCAPE)){ 
				myThis.Escape();
			}else if(Key.isDown(Key.HOME)){ 
				myThis.Home();
			}else if(Key.isDown(Key.INSERT)){ 
				myThis.Insert();
			}else if(Key.isDown(Key.TAB)){ 
				myThis.Tab();
			}else if(Key.isDown(Key.SPACE)){ 
				myThis.Space();
			}else if(Key.isDown(Key.SHIFT)){ 
				myThis.Shift();
			}else if(Key.isDown(65)){ 
				myThis.A();
			}else if(Key.isDown(66)){ 
				myThis.B();
			}else if(Key.isDown(67)){ 
				myThis.C();
			}else if(Key.isDown(68)){ 
				myThis.D();
			}else if(Key.isDown(69)){ 
				myThis.E();
			}else if(Key.isDown(70)){ 
				myThis.F();
			}else if(Key.isDown(71)){ 
				myThis.G();
			}else if(Key.isDown(72)){ 
				myThis.H();
			}else if(Key.isDown(73)){ 
				myThis.I();
			}else if(Key.isDown(74)){ 
				myThis.J();
			}else if(Key.isDown(75)){ 
				myThis.K();
			}else if(Key.isDown(76)){ 
				myThis.L();
			}else if(Key.isDown(77)){ 
				myThis.M();
			}else if(Key.isDown(78)){ 
				myThis.N();
			}else if(Key.isDown(79)){ 
				myThis.O();
			}else if(Key.isDown(80)){ 
				myThis.P();
			}else if(Key.isDown(81)){ 
				myThis.Q();
			}else if(Key.isDown(82)){ 
				myThis.R();
			}else if(Key.isDown(83)){ 
				myThis.S();
			}else if(Key.isDown(84)){ 
				myThis.T();
			}else if(Key.isDown(85)){ 
				myThis.U();
			}else if(Key.isDown(86)){ 
				myThis.V();
			}else if(Key.isDown(87)){ 
				myThis.W();
			}else if(Key.isDown(88)){ 
				myThis.X();
			}else if(Key.isDown(89)){ 
				myThis.Y();
			}else if(Key.isDown(90)){ 
				myThis.Z();
			}		
		}
		
		
		///UserCodeRegionEnd: (do not remove this comment.)
	}
	///UserCodeRegionStart:[User Functions] (do not remove this comment.)


	
	
	///UserCodeRegionEnd: (do not remove this comment.):
}
