-- Desenvolvido para o cliente Kinder

select Case when Cl1_Lista like '%PROMO%' then 0.00
            when Cl1_Lista not like '%MAT%ESCOLA%' then trunc(Pla_DescAcresIdeal/100,2)
            when Pla_DescAcresIdeal <= -10 then 0.00
            when Pla_DescAcresIdeal <    0 then 0.04 
            when substr(Pla_Apelido,1,3) in ('2X ', '3X ','1+3','1+4') then 0.06
            else 0.09 
       End * DocIte_ValorTotal as DescontoAcrescimo
from Documento d inner join DocumentoItem i on i.Doc_id = d.Doc_Id and i.DocIte_Id = $2
                 inner join Plano p on p.Pla_Id = d.Pla_Id
                 inner join Produto m on m.Pro_Id = i.DocIte_ProId
                 inner join Classe1 c1 on c1.Cl1_Id = m.Pro_Cl1Id
where d.Doc_TrnId = $1
