CREATE OR REPLACE FUNCTION FN_Indicador_FTS()
RETURNS TRIGGER AS $$
BEGIN
   NEW.Ind_FTS := to_tsvector('portuguese', NEW.Ind_Busca);
RETURN NEW;
END
$$
LANGUAGE plpgsql;

CREATE TRIGGER TG_Indicador_FTS BEFORE INSERT OR UPDATE ON Indicador
    FOR EACH ROW EXECUTE PROCEDURE FN_Indicador_FTS();
	
CREATE INDEX I_Indicador_FTS  ON Indicador USING gin( Ind_FTS );

update Indicador set Ind_FTS = to_tsvector('portuguese', Ind_Busca);

select 'OK' from ambiente;
 
MD5:DD7C972DA517F44928888019ED8358B1