CREATE SEQUENCE Lot_Id MINVALUE 100 INCREMENT 1; 

CREATE TABLE Lote (
  Lot_Id             BIGINT     NOT NULL     DEFAULT Nextval('Lot_Id'),
  Lot_Validade       DATE,
  Lot_PontaDeEstoque BOOLEAN     NOT NULL,
  Lot_ProId          BIGINT     NOT NULL,
  Lot_ForId          BIGINT     NOT NULL,
  Lot_Tonalidade     VARCHAR(20)     NOT NULL,
  Lot_Tamanho        VARCHAR(20)     NOT NULL,
  Lot_Codigo         VARCHAR(4)     NOT NULL,
  Lot_Estoque        NUMERIC(13,4)     NOT NULL,
      PRIMARY KEY ( Lot_Id )); 

CREATE UNIQUE INDEX IN_LOTE_CODIGO ON Lote ( Lot_ProId, Lot_Codigo );

CREATE INDEX FK_LOTE_PARTICIPANTE ON Lote (Lot_ForId);

ALTER TABLE Lote
 ADD CONSTRAINT FK_LOTE_PRODUTO FOREIGN KEY ( Lot_ProId ) REFERENCES Produto(Pro_Id);

ALTER TABLE Lote
 ADD CONSTRAINT FK_LOTE_PARTICIPANTE FOREIGN KEY ( Lot_ForId ) REFERENCES Participante(Par_Id);

select 'OK' from ambiente;
 
MD5:AE7A3CE871EFFC39A54DE83C4EAEB622