CREATE TABLE ControlTransamissao 
	(CtrlTransmissao_Id smallint NOT NULL , 
	 CtrlTransmissao_Inicio timestamp without time zone NOT NULL , 
	 CtrlTransmissao_Fim timestamp without time zone , 
	 CtrlTransmissao_Qtd NUMERIC(13,4) NOT NULL , 
	 PRIMARY KEY(CtrlTransmissao_Id)) ;

ALTER TABLE Transacao 
	ADD Trn_TransmissoesRetaguarda smallint, 
	ADD Trn_TransmissoesFisco smallint, 
	ADD Trn_TransmissaoFisco smallint NOT NULL DEFAULT 2, 
	ADD Trn_TransmissaoRetaguarda smallint NOT NULL DEFAULT 9;
 
ALTER TABLE Transacao ALTER COLUMN Trn_TransmissaoFisco DROP DEFAULT;

ALTER TABLE Transacao ALTER COLUMN Trn_TransmissaoRetaguarda DROP DEFAULT;

ALTER TABLE Transacao DROP Trn_Transmissao;

CREATE INDEX IN_TRANSACAO_RETAGUARDA ON Transacao (Trn_TransmissaoRetaguarda);

CREATE INDEX IN_TRANSACAO_FISCO ON Transacao (Trn_TransmissaoFisco);

ALTER TABLE Ambiente ADD Amb_RegimeFiscal SMALLINT;

select 'OK' from ambiente;
 
MD5:CE544B48A5BE427D90EE3C5CFAD669A4