ALTER TABLE Produto 
	ADD Pro_UltimaCargaSaldo timestamp without time zone , 
	ADD Pro_DescricaoDetalhada TEXT ,
	ADD Pro_Lote BOOLEAN NOT NULL DEFAULT '0';
 
ALTER TABLE Produto ALTER COLUMN Pro_Lote DROP DEFAULT;
 
ALTER TABLE documento ALTER doc_codigoexterno TYPE character varying(44);

ALTER TABLE Lote ALTER Lot_Codigo TYPE character varying(44);

ALTER TABLE ECF
	ADD ECF_IntervaloCargaDeSaldos BIGINT;

ALTER TABLE Ambiente 
	ADD Amb_UltimaCargaLotes bigint, 
	ADD Amb_UltimaCargaPrecos bigint,
	ADD Amb_UltimaCargaSaldos timestamp without time zone ;
	
ALTER TABLE Lote 
	ADD Lot_Reserva NUMERIC(13,4) NOT NULL DEFAULT 0, 
	ADD Lot_Assinatura VARCHAR(50) NOT NULL DEFAULT '', 
	ADD Lot_AlteradoEm timestamp without time zone NOT NULL DEFAULT DATE '00010101', 
	ADD Lot_InclusoEm timestamp without time zone NOT NULL DEFAULT DATE '00010101', 
	ADD Lot_Chave VARCHAR(20) NOT NULL DEFAULT '',
	ADD Lot_Ativo BOOLEAN NOT NULL DEFAULT '0';
 
ALTER TABLE Lote ALTER COLUMN Lot_Chave DROP DEFAULT;
 
ALTER TABLE Lote ALTER COLUMN Lot_Reserva DROP DEFAULT;
 
ALTER TABLE Lote ALTER COLUMN Lot_Assinatura DROP DEFAULT;
  
ALTER TABLE Lote ALTER COLUMN Lot_AlteradoEm DROP DEFAULT;
 
ALTER TABLE Lote ALTER COLUMN Lot_InclusoEm DROP DEFAULT;
  
ALTER TABLE Lote ALTER COLUMN Lot_Ativo DROP DEFAULT;
	
DELETE FROM Lote;
 
CREATE UNIQUE INDEX UQ_LOTE_CHAVE ON Lote ( Lot_Chave );

DROP INDEX IN_LOTE_CODIGO;

CREATE INDEX IN_LOTE_CODIGO ON Lote ( Lot_ProId, Lot_Codigo );
 
select 'OK' from ambiente;
 
MD5:44F3078396061FB9312A97689FBB96FF