DROP TABLE Impressao CASCADE;

CREATE TABLE Impressao (
  Imp_Id         BIGINT NOT NULL DEFAULT Nextval('Imp_Id'),
  Imp_Via2TrnId  BIGINT NOT NULL,
  Imp_TrnId      BIGINT,
  Imp_FinId      BIGINT,
  Imp_Assinatura VARCHAR(50) NOT NULL);

ALTER TABLE Impressao ADD PRIMARY KEY ( Imp_Id );

CREATE INDEX FK_IMPRESSAO_TRNORIGEM ON Impressao ( Imp_TrnId );

CREATE INDEX FK_IMPRESSAO_FINORIGEM ON Impressao ( Imp_FinId );

CREATE INDEX FK_IMPRESSAO_2VIA ON Impressao ( Imp_Via2TrnId );

ALTER TABLE Impressao
 ADD CONSTRAINT FK_IMPRESSAO_2VIA FOREIGN KEY ( Imp_Via2TrnId ) REFERENCES Transacao(Trn_Id);

ALTER TABLE Impressao
 ADD CONSTRAINT FK_IMPRESSAO_TRNORIGEM FOREIGN KEY ( Imp_TrnId ) REFERENCES Transacao(Trn_Id);

ALTER TABLE Impressao
 ADD CONSTRAINT FK_IMPRESSAO_FINORIGEM FOREIGN KEY ( Imp_FinId ) REFERENCES Financeiro(Fin_Id);

select 'OK' from ambiente;
 
MD5:39FC2310F0A091DB5ED714B3E7C4E7EA