ALTER TABLE Filial  ADD Fil_ReplicaEstoque  BOOLEAN  NOT NULL DEFAULT '0';
ALTER TABLE Produto ADD Pro_ControleEstoque SMALLINT NOT NULL DEFAULT 0;
 
ALTER TABLE Filial  ALTER COLUMN Fil_ReplicaEstoque  DROP DEFAULT;
ALTER TABLE Produto ALTER COLUMN Pro_ControleEstoque DROP DEFAULT;
 
CREATE SEQUENCE Sal_Id MINVALUE 100 INCREMENT 1;
 
CREATE TABLE Saldo 
	(Sal_Id bigint NOT NULL  DEFAULT nextval('Sal_Id'), 
	 Sal_FilId smallint NOT NULL , 
	 Sal_ProId bigint NOT NULL , 
	 Sal_ProChave VARCHAR(20) NOT NULL , 
	 Sal_EstId smallint NOT NULL , 
	 Sal_Estoque NUMERIC(13,4) NOT NULL , 
	 Sal_Reserva NUMERIC(13,4) NOT NULL , 
	 Sal_InclusoEm timestamp without time zone NOT NULL , 
	 Sal_AlteradoEm timestamp without time zone NOT NULL , 
	 Sal_Assinatura VARCHAR(50) NOT NULL , 
	 PRIMARY KEY(Sal_Id)) ;
 
CREATE UNIQUE INDEX UQ_Saldo ON Saldo ( Sal_ProId, Sal_FilId, Sal_EstId );

CREATE INDEX FK_Saldo_Filial ON Saldo ( Sal_FilId );

CREATE INDEX FK_Saldo_ESTOQUE ON Saldo ( Sal_EstId );

ALTER TABLE Saldo ADD CONSTRAINT FK_Saldo_Filial  FOREIGN KEY ( Sal_FilId ) REFERENCES Filial(Fil_Id);
ALTER TABLE Saldo ADD CONSTRAINT FK_Saldo_Produto FOREIGN KEY ( Sal_ProId ) REFERENCES Produto(Pro_Id);
ALTER TABLE Saldo ADD CONSTRAINT FK_Saldo_Estoque FOREIGN KEY ( Sal_EstId ) REFERENCES Estoque(Est_Id);
  
select 'OK' from ambiente;
 
MD5:EDBB4DCD59A68D292EDF65003265EFFA

