ALTER TABLE Transacao ADD Trn_VinculoId bigint;

CREATE INDEX FK_Transacao_Vinculo ON transacao USING btree (Trn_AnteriorId);

ALTER TABLE Transacao ADD CONSTRAINT FK_Transacao_Vinculo FOREIGN KEY (Trn_VinculoId)
    REFERENCES Transacao (Trn_Id) MATCH SIMPLE
    ON UPDATE NO ACTION ON DELETE NO ACTION;

ALTER TABLE Transacao DROP CONSTRAINT PK_Transacao_Anterior;

DROP INDEX PK_Transacao_Anterior;

CREATE INDEX FK_Transacao_Anterior ON Transacao (Trn_AnteriorId); 
	
ALTER TABLE Transacao ADD CONSTRAINT FK_Transacao_Anterior FOREIGN KEY (Trn_AnteriorId)
    REFERENCES transacao (trn_id) MATCH SIMPLE
    ON UPDATE NO ACTION ON DELETE NO ACTION;

ALTER TABLE Filial 
	ADD Fil_RodapeRPS TEXT , 
	ADD Fil_ItensRPS TEXT , 
	ADD Fil_CabecalhoRPS TEXT ,
	ADD Fil_AceitaServicosNaNFCe BOOLEAN NOT NULL DEFAULT '0';

ALTER TABLE Filial ALTER COLUMN Fil_AceitaServicosNaNFCe DROP DEFAULT;

ALTER TABLE Transacao DROP CONSTRAINT CK_Transacao_Aberta;

ALTER TABLE Transacao ADD CONSTRAINT CK_Transacao_Aberta CHECK 
((Trn_Aberta is null and Trn_Tipo < 100) or 
 (Trn_Aberta in ('A','3') and Trn_Situacao='A' and Trn_Tipo >= 100) or
 (Trn_Aberta in ('A','3') and Trn_Situacao='1' and Trn_Tipo >= 100) or
 (Trn_Aberta in ('A','3') and Trn_Situacao='2' and Trn_Tipo >= 100) or
 (Trn_Aberta in ('A','3') and Trn_Situacao='3' and Trn_Tipo >= 100) or
 (Trn_Aberta in ('A','3') and Trn_Situacao='H' and Trn_Tipo >= 100) or
 (Trn_Aberta is null and Trn_Situacao in ('F','C','P') and Trn_Tipo >= 100) 
);

select 'OK' from ambiente;
 
MD5:8BA4BD6822F217009E49398A84DC3E07

