DROP TABLE Bloqueio CASCADE;

CREATE SEQUENCE Blo_Id MINVALUE 100 INCREMENT 1;

CREATE TABLE Bloqueio 
	(Blo_Id bigint NOT NULL NOT NULL DEFAULT Nextval('Blo_Id'), 
	 Blo_Liberado BOOLEAN NOT NULL , 
	 Blo_Chave VARCHAR(20) NOT NULL , 
	 Blo_BloqueadoEm timestamp without time zone NOT NULL , 
	 Blo_LiberadoEm timestamp without time zone , 
	 Blo_TrnId bigint NOT NULL , 
	 Blo_FinId bigint , 
	 Blo_Observacao VARCHAR(40) , 
	 Blo_Assinatura VARCHAR(50) NOT NULL , 
PRIMARY KEY(Blo_Id));

CREATE INDEX FK_BLOQUEIO_TRANSACAO ON Bloqueio (Blo_TrnId);

CREATE INDEX FK_BLOQUEIO_FINANCEIRO ON Bloqueio (Blo_FinId);

CREATE INDEX IN_BLOQUEIO_LIBERADO ON Bloqueio (Blo_Liberado);

ALTER TABLE Bloqueio ADD CONSTRAINT FK_BLOQUEIO_TRANSACAO FOREIGN KEY ( Blo_TrnId ) REFERENCES Transacao(Trn_Id);

ALTER TABLE Bloqueio ADD CONSTRAINT FK_BLOQUEIO_FINANCEIRO FOREIGN KEY ( Blo_FinId ) REFERENCES Financeiro(Fin_Id);
   
select 'OK' from ambiente;
 
MD5:E46BA17077D54F623514C6DC05831A8E
