CREATE SEQUENCE PenTEF_Id MINVALUE 100 INCREMENT 1;

CREATE TABLE PendenciaTEF 
 (PenTEF_Id         BIGINT     	NOT NULL DEFAULT Nextval('PenTEF_Id'),
  PenTEF_Situacao   VARCHAR(1)  NOT NULL,
  PenTEF_Assinatura VARCHAR(50) NOT NULL,
  PenTEF_SolucaoId  BIGINT,
  PenTEF_OrigemId   BIGINT      NOT NULL,
  PRIMARY KEY ( PenTEF_Id )
 );

CREATE INDEX FK_PENDENCIATEF_SOLUCAO ON PendenciaTEF (PenTEF_SolucaoId);

CREATE INDEX FK_PENDENCIATEF_ORIGEM ON PendenciaTEF (PenTEF_OrigemId);

CREATE INDEX IN_PENDENCIATEF_SITUACAO ON PendenciaTEF (PenTEF_Situacao);

ALTER TABLE PendenciaTEF
 ADD CONSTRAINT FK_PENDENCIATEF_ORIGEM FOREIGN KEY ( PenTEF_OrigemId ) REFERENCES TEF(TEF_Id);

ALTER TABLE PendenciaTEF
 ADD CONSTRAINT FK_PENDENCIATEF_SOLUCAO FOREIGN KEY ( PenTEF_SolucaoId ) REFERENCES TEF(TEF_Id);

select 'OK' from ambiente;
 
MD5:821232A25C62DFFD2DA9B1AEEA4CAF79