ALTER TABLE Transacao ADD Trn_EcfAtivo BOOLEAN NOT NULL DEFAULT '0';
 
ALTER TABLE Transacao ALTER COLUMN Trn_EcfAtivo DROP DEFAULT;

ALTER TABLE Cupom ADD Cup_Impressoes SMALLINT;

CREATE TABLE FinanceiroPendencia (
  Fin_Id            BIGINT        NOT NULL,
  FinPen_Id         SMALLINT      NOT NULL,
  FinPen_Valor      NUMERIC(13,2) NOT NULL,
  FinPen_Resolvido  BOOLEAN       NOT NULL,
  FinPen_Assinatura VARCHAR(50)   NOT NULL,
      PRIMARY KEY ( Fin_Id,FinPen_Id ));

CREATE INDEX IN_FINPENDENCIA_RESOLVIDO ON FinanceiroPendencia (FinPen_Resolvido);

ALTER TABLE FinanceiroPendencia
 ADD CONSTRAINT FK_FINPENDENCIA_FINANCEIRO FOREIGN KEY ( Fin_Id ) REFERENCES Financeiro(Fin_Id);
 
ALTER TABLE PendenciaCaixa ADD PenCai_FinPenId SMALLINT NOT NULL DEFAULT 0;
 
ALTER TABLE PendenciaCaixa ALTER COLUMN PenCai_FinPenId DROP DEFAULT;
 
DROP INDEX FK_PENDENCIACAIXA_FINANCEIRO;

CREATE INDEX FK_PENDENCIACAIXA_FINANCEIRO ON PendenciaCaixa ( PenCai_FinId, PenCai_FinPenId );

ALTER TABLE PendenciaCaixa DROP PenCai_FinMoeId;

ALTER TABLE PendenciaCaixa
 ADD CONSTRAINT FK_PENDENCIACAIXA_FINANCEIRO FOREIGN KEY ( PenCai_FinId,PenCai_FinPenId ) REFERENCES FinanceiroPendencia(Fin_Id,FinPen_Id);

DROP INDEX IN_FINMOEDA_PENDENCIA;

ALTER TABLE FinanceiroMoeda DROP FinMoe_Pendencia;

select 'OK' from ambiente;
 
MD5:38484CB94531889B0E2ACD59B25CA0BA