DROP INDEX IN_MEIO_GRUPO;

CREATE INDEX IN_MEIO_GRUPO ON Meio (Mei_Grupo DESC, Mei_Descricao);

CREATE INDEX IN_FINPENDENCIA_ORDEM ON FinanceiroPendencia (Fin_Id DESC);

CREATE INDEX IN_PENDENCIATEF_ORDEM ON PendenciaTEF (PenTEF_Id DESC);

CREATE INDEX IN_RECARGATELEFONES_OPERADORA ON RecargaTelefones (RecTel_Operadora);

DROP INDEX IN_RECEBIMENTO_DOCUMENTO; 

CREATE INDEX IN_RECEBIMENTO_TRNDOCUMENTO ON Recebimento (Trn_Id, Rec_Documento, Rec_Parcela); 

CREATE INDEX IN_RECEBIMENTO_DOCUMENTO ON Recebimento (Rec_Documento, Rec_Parcela);
 
CREATE INDEX IN_TRANSACAO_ORDEM ON Transacao (Trn_CaiId DESC);

ALTER TABLE Transacao ADD Trn_MotivoFechamento SMALLINT NOT NULL DEFAULT 0;

ALTER TABLE Transacao ALTER COLUMN Trn_MotivoFechamento DROP DEFAULT;
 
ALTER TABLE Transacao DROP CONSTRAINT CK_Transacao_Aberta;

select 'OK' from ambiente;
 
MD5:8DF6C576CEDABA6FCD4A27C62CA653BF