ALTER TABLE DocumentoItem ADD DocIte_CupomDeTroca NUMERIC(13,4);

CREATE SEQUENCE Tro_Id MINVALUE 100 INCREMENT 1; 

CREATE TABLE CupomDeTroca (
  Tro_Id       BIGINT     NOT NULL     DEFAULT Nextval('Tro_Id'),
  Tro_TrnId    BIGINT     NOT NULL,
  Tro_DocId    BIGINT     NOT NULL,
  Tro_DocIteId SMALLINT     NOT NULL,
  Tro_Assinatura VARCHAR(50)     NOT NULL,
      PRIMARY KEY ( Tro_Id )); 

CREATE INDEX FK_CUPOMDETROCA_DOCUMENTOITEM ON CupomDeTroca (Tro_DocId, Tro_DocIteId); 

CREATE INDEX FK_CUPOMDETROCA_TRANSACAO ON CupomDeTroca (Tro_TrnId);

ALTER TABLE CupomDeTroca
 ADD CONSTRAINT FK_CUPOMDETROCA_TRANSACAO FOREIGN KEY ( Tro_TrnId ) REFERENCES Transacao(Trn_Id); 

ALTER TABLE CupomDeTroca
 ADD CONSTRAINT FK_CUPOMDETROCA_DOCUMENTOITEM FOREIGN KEY ( Tro_DocId,Tro_DocIteId ) REFERENCES DocumentoItem(Doc_Id,DocIte_Id);

select 'OK' from ambiente;
 
MD5:A082CC13F1A7A7370CEF38038D509FF9
