ALTER TABLE ParcelaPlano ADD ParPla_Fator NUMERIC(7,4);

ALTER TABLE Plano 
	ADD Pla_FinanceiraChave VARCHAR(20) , 
	ADD Pla_UsaDebitoEmConta BOOLEAN NOT NULL DEFAULT '0';
 
ALTER TABLE Plano ALTER COLUMN Pla_UsaDebitoEmConta DROP DEFAULT; 

CREATE SEQUENCE PlaFat_Id MINVALUE 100 INCREMENT 1;
  
CREATE TABLE PlanoFator 
(PlaFat_Id bigint NOT NULL  DEFAULT nextval('PlaFat_Id'), 
 PlaFat_PlaId smallint NOT NULL , 
 PlaFat_Ativo BOOLEAN NOT NULL , 
 PlaFat_InclusoEm timestamp without time zone NOT NULL , 
 PlaFat_AlteradoEm timestamp without time zone NOT NULL , 
 PlaFat_Assinatura VARCHAR(32) NOT NULL , 
 PlaFat_Carencia smallint NOT NULL , 
 PlaFat_Parcelas smallint NOT NULL , 
 PlaFat_Fator NUMERIC(7,4) NOT NULL , 
 PlaFat_Chave VARCHAR(20) NOT NULL , 
PRIMARY KEY(PlaFat_Id));
 
CREATE INDEX IN_PLANOFATOR_CARENCIA ON PlanoFator (
      PlaFat_PlaId,
	  PlaFat_Ativo,
      PlaFat_Carencia,
      PlaFat_Parcelas); 

CREATE INDEX IN_PLANOFATOR_PARCELAS ON PlanoFator (
      PlaFat_PlaId,
	  PlaFat_Ativo,
      PlaFat_Parcelas,
      PlaFat_Carencia); 

ALTER TABLE PlanoFator
 ADD CONSTRAINT FK_PLANOFATOR_PLANO FOREIGN KEY ( PlaFat_PlaId ) REFERENCES Plano(Pla_Id);

select 'OK' from ambiente;
 
MD5:559F73BDAEB49DF822354F26CD12032B
