CREATE OR REPLACE FUNCTION FN_Transacao_FTS()
RETURNS TRIGGER AS $$
BEGIN
   NEW.Trn_FTS := to_tsvector('portuguese', NEW.Trn_Busca);
RETURN NEW;
END
$$
LANGUAGE plpgsql;

CREATE TRIGGER TG_Transacao_FTS BEFORE INSERT OR UPDATE ON Transacao
    FOR EACH ROW EXECUTE PROCEDURE FN_Transacao_FTS();
	
CREATE INDEX I_Transacao_FTS ON Transacao USING gin( Trn_FTS );

update Transacao set Trn_FTS = to_tsvector('portuguese', Trn_Busca);

select 'OK' from ambiente;
 
MD5:B4EB9F8E29D64A7F68A502F30047A750
