CREATE SEQUENCE pcs_id MINVALUE 100 INCREMENT 1;

CREATE TABLE ParametroCfgSistema (
  pcs_id                 BIGINT     NOT NULL     DEFAULT Nextval('pcs_id'),
  pcs_nomeparametro      VARCHAR(20)     NOT NULL,
  pcs_descricaoparametro VARCHAR(100)     NOT NULL,
  pcs_chave              VARCHAR(14)     NOT NULL,
  pcs_ativo              BOOLEAN     NOT NULL,
  pcs_tipoparametro      CHAR(1)     NOT NULL,
  pcs_geral              BOOLEAN     NOT NULL,
  pcs_filial             BOOLEAN     NOT NULL,
  pcs_ecf                BOOLEAN     NOT NULL,
  pcs_serie              BOOLEAN     NOT NULL,
  pcs_ipc_chave          VARCHAR(14)     NOT NULL,
  pcs_valornumerico      NUMERIC(15,4)     NOT NULL,
  pcs_valorinteiro       BIGINT     NOT NULL,
  pcs_valortexto         VARCHAR(100)     NOT NULL,
  pcs_valorbooleano      BOOLEAN     NOT NULL,
  pcs_data               DATE     NOT NULL,
  pcs_FiltroFilial       CHAR(3)     NOT NULL,
  pcs_FiltroECFFilial    CHAR(3)     NOT NULL,
  pcs_FiltroECFNumero    CHAR(3)     NOT NULL,
  pcs_FiltroSerie        CHAR(2)     NOT NULL,
      PRIMARY KEY ( pcs_id ));

 
CREATE UNIQUE INDEX UQ_PCN_IPC_CHAVE ON ParametroCfgSistema (
      pcs_ipc_chave);

 
CREATE INDEX IN_PCN_CHAVE ON ParametroCfgSistema (
      pcs_chave);


CREATE INDEX IN_PCN_NOMEPARAMETRO ON ParametroCfgSistema (
      pcs_nomeparametro);
	  
 
ALTER TABLE ParametroCfgSistema ADD Pcs_Assinatura VARCHAR(50) NOT NULL DEFAULT '', ADD Pcs_AlteradaEm timestamp without time zone NOT NULL DEFAULT DATE '00010101', ADD Pcs_InclusaEm timestamp without time zone NOT NULL DEFAULT DATE '00010101';
 
 
ALTER TABLE ParametroCfgSistema ALTER COLUMN Pcs_Assinatura DROP DEFAULT;
 
 
ALTER TABLE ParametroCfgSistema ALTER COLUMN Pcs_AlteradaEm DROP DEFAULT;
 
 
ALTER TABLE ParametroCfgSistema ALTER COLUMN Pcs_InclusaEm DROP DEFAULT;
 


select 'OK' from ambiente;
 
MD5:A2CF44D99854ED7E8D5811934E3F2DCB

